"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function createServiceRegistry() {
  var services = {};

  var registerService = function registerService(alias, service) {
    services[alias] = service;
  };

  var register = function register(services) {
    return Object.entries(services).map(function (entry) {
      return registerService.apply(undefined, _toConsumableArray(entry));
    });
  };

  var get = function get(alias) {
    return services[alias];
  };

  return {
    services: services,
    register: register, get: get
  };
};

// singleton
exports.default = createServiceRegistry();